cURL
curl -X POST https://api.bizmori.com/api/v2/orders/webhooks \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "My Webhook",
"url": "https://example.com/webhook"
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/webhooks', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'My Webhook',
url: 'https://example.com/webhook'
})
});
const data = await response.json();
// Save data.data.secret securely — it won't be shown againimport requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/webhooks',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'name': 'My Webhook',
'url': 'https://example.com/webhook'
}
)
data = response.json()
# Save data['data']['secret'] securely — it won't be shown again
{
"data": {
"id": 123,
"name": "<string>",
"secret": "<string>"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Webhooks
웹훅 생성
새 웹훅을 등록합니다.
- 여러 웹훅 등록 가능
- 등록 시 서명 시크릿이 반환됩니다
중요: 시크릿은 이 응답에서만 확인 가능합니다. 안전하게 보관하세요.
웹훅 이벤트 타입
| 이벤트 타입 | 설명 |
|---|---|
order.antiAi.completed | Anti-AI 처리 완료 |
order.antiAi.failed | Anti-AI 처리 실패 |
order.watermarkEmbed.completed | 워터마크 삽입 완료 |
order.watermarkEmbed.failed | 워터마크 삽입 실패 |
order.watermarkExtract.completed | 워터마크 추출 완료 |
order.watermarkExtract.failed | 워터마크 추출 실패 |
서명 검증
웹훅 요청에는 X-MoriBiz-Signature 헤더가 포함됩니다.
서명은 등록 시 발급된 시크릿으로 HMAC-SHA256을 사용하여 생성됩니다.
const crypto = require('crypto');
const signature = crypto.createHmac('sha256', secret)
.update(JSON.stringify(payload))
.digest('hex');
재시도 정책
- 최대 3회 재시도
- 지수 백오프 (1초, 2초, 4초)
- 성공 응답: 2xx 상태 코드
POST
/
api
/
v2
/
orders
/
webhooks
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/webhooks \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "My Webhook",
"url": "https://example.com/webhook"
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/webhooks', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'My Webhook',
url: 'https://example.com/webhook'
})
});
const data = await response.json();
// Save data.data.secret securely — it won't be shown againimport requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/webhooks',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'name': 'My Webhook',
'url': 'https://example.com/webhook'
}
)
data = response.json()
# Save data['data']['secret'] securely — it won't be shown again
{
"data": {
"id": 123,
"name": "<string>",
"secret": "<string>"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}인증
외부 클라이언트 접근을 위한 API 키
본문
application/json
⌘I